<template>
  <div>
    <input @change="loadPhoto" ref="file" type="file" class="hidden" accept="image/png,image/jpg">
    <template v-if="!photo">
      <p class="uppercase-title mb-3">FOR YOUR dermatologist’s REVIEW</p>
      <h1 class="mb-3">Please provide a picture of the affected areas.</h1>
      <p class="mb-5">You may need to take photos from multiple angles to show the full area.</p>
      <common-btn
        class="mb-3"
        text="Take photo"
      />
      <common-btn-outline
        text="Upload photo"
        class="mb-5"
        @click="$refs.file.click()"
      />
      <PhotoWarning/>
    </template>
    <template v-else>
      <ConfirmPhoto
        v-model="photo"
        @confirm="$emit('nextStage')"
      />
    </template>
  </div>
</template>

<script>
import ConfirmPhoto from "@/components/common/ConfirmPhoto";
import {answersMixin} from "@/utils/mixins";
import PhotoWarning from "@/components/misc/PhotoWarning";

export default {
  mixins: [answersMixin],
  name: "SkinAnalysis2",
  components: {PhotoWarning, ConfirmPhoto},
  watch: {
    photo(newVal) {
      this.setAnswer(this.answersKeys.SKIN_ANALYSIS, newVal, 'stage_2_photo')
    }
  },
  data() {
    return {
      photo: null
    }
  },
  methods: {
    loadPhoto(event) {
      const imageFile = event.target.files[0]

      const reader = new FileReader()

      reader.onload = e => {
        this.photo = e.target.result
        this.$refs.file.value = ''
      }

      reader.readAsDataURL(imageFile)
    }
  }
}
</script>

<style scoped>

</style>
